package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TypeDTO;
import com.diagbot.facade.TypeFacade;
import com.diagbot.vo.TypeVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-03-21
 */
@RestController
@RequestMapping("/bodypart")
@Api(value = "医学术语部位API", tags = { "医学术语部位API" })

public class BodyPartController {
    @Autowired
    private TypeFacade typeFacade;


    @ApiOperation(value = "查询所有类型")
    @PostMapping("getAllType")
    @SysLogger("getAllType")
    public RespDTO<IPage<TypeDTO>> getAllType(@RequestBody TypeVo typeVo) {
        IPage<TypeDTO> data = typeFacade.getTypes(typeVo);

        return RespDTO.onSuc(data);
    }

}
